# class HTML::LinkSanitizer

### Public Instance Methods

sanitizeable?(text) click to toggle source

    # File lib/rails/deprecated_sanitizer/html-scanner/html/sanitizer.rb, line 62
    def sanitizeable?(text)
      !(text.nil? || text.empty? || !((text.index("<a") || text.index("<href")) && text.index(">")))
    end

### Protected Instance Methods

process_node(node, result, options) click to toggle source

    # File lib/rails/deprecated_sanitizer/html-scanner/html/sanitizer.rb, line 67
    def process_node(node, result, options)
      result << node.to_s unless node.is_a?(HTML::Tag) && included_tags.include?(node.name)
    end